using Inventario.Core.Models;

namespace Inventario.Core.Interfaces;

public interface IInventoryMovementRepository
{
    Task<IEnumerable<InventoryMovement>> GetAllAsync();
    Task<IEnumerable<InventoryMovement>> GetByProductIdAsync(int productId);
    Task<InventoryMovement> AddAsync(InventoryMovement movement);
}
